| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_qprc_intern_data Struct Reference
Quadrature Position/Revolution Counter (QPRC)

Structure of QPRC internal data. More...

`#include <qprc.h>`

## Data Fields
func_ptr_arg1_t | pfnPcUfOfZeroCallback
| Pointer to overflow, underflow, zero match interrupt callback function of position counter.
func_ptr_t | pfnPcMatchCallback
| Pointer to PC match interrupt callback function of position counter.
func_ptr_t | pfnPcRcMatchCallback
| Pointer to PC and RC match interrupt callback function.
func_ptr_t | pfnPcMatchRcMatchCallback
| Pointer to PC match and RC match interrupt.
func_ptr_t | pfnPcCountInvertCallback
| Pointer to PC invert interrupt.
func_ptr_t | pfnRcOutrangeCallback
| Pointer to RC outrange interrupt callback function.

## Detailed Description

Structure of QPRC internal data.

Definition at line 371 of file qprc.h.

## Field Documentation

func_ptr_t pfnPcCountInvertCallback

Pointer to PC invert interrupt.

Definition at line 377 of file qprc.h.

Referenced by Qprc_DisableInt(), Qprc_EnableInt(), and Qprc_IrqHandler().

func_ptr_t pfnPcMatchCallback

Pointer to PC match interrupt callback function of position counter.

Definition at line 374 of file qprc.h.

Referenced by Qprc_DisableInt(), Qprc_EnableInt(), and Qprc_IrqHandler().

func_ptr_t pfnPcMatchRcMatchCallback

Pointer to PC match and RC match interrupt.

Definition at line 376 of file qprc.h.

Referenced by Qprc_DisableInt(), Qprc_EnableInt(), and Qprc_IrqHandler().

func_ptr_t pfnPcRcMatchCallback

Pointer to PC and RC match interrupt callback function.

Definition at line 375 of file qprc.h.

Referenced by Qprc_DisableInt(), Qprc_EnableInt(), and Qprc_IrqHandler().

func_ptr_arg1_t pfnPcUfOfZeroCallback

Pointer to overflow, underflow, zero match interrupt callback function of position counter.

Definition at line 373 of file qprc.h.

Referenced by Qprc_DisableInt(), Qprc_EnableInt(), and Qprc_IrqHandler().

func_ptr_t pfnRcOutrangeCallback

Pointer to RC outrange interrupt callback function.

Definition at line 378 of file qprc.h.

Referenced by Qprc_DisableInt(), Qprc_EnableInt(), and Qprc_IrqHandler().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/qprc/qprc.h